Skip to main content
POST
/
search
/
{id}
/
rename
Rename Search Index
curl --request POST \
  --url https://api.upstash.com/v2/search/{id}/rename \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "new-index-name"
}
'
import requests

url = "https://api.upstash.com/v2/search/{id}/rename"

payload = { "name": "new-index-name" }
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: 'new-index-name'})
};

fetch('https://api.upstash.com/v2/search/{id}/rename', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


"OK"

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The ID of the search index

Body

application/json
name
string
required

New name for the index

Example:

"new-index-name"

Response

200 - application/json

Search index renamed successfully

The response is of type string.

Example:

"OK"